<?php
$EmailFrom = "ratsastajankunto@gmail.com";
$EmailTo = "anne.hyttinen@ratsastajankunto.fi";



$tyyppi = Trim(stripslashes($_POST['tyyppi']));

$Msg = '<html><head></head><body>';

$sposti;

if($tyyppi == "ota_yhteytta")
{
	$aihe = Trim(stripslashes($_POST['aihe']));
	$nimi = Trim(stripslashes($_POST['nimi']));
	$sposti = Trim(stripslashes($_POST['sposti']));
	$puh = Trim(stripslashes($_POST['puh']));
	$yhteydenotto = Trim(stripslashes($_POST['yhteydenotto']));

	$Subject = "Yhteydenotto ratsastajankunto sivulta";

	
	$Msg .= "Nimi: ";
	$Msg .= $nimi;
	$Msg .= "<br>";
	$Msg .= "Sähköposti: ";
	$Msg .= $sposti;
	$Msg .= "<br>";
	$Msg .= "Puhelin: ";
	$Msg .= $puh;
	$Msg .= "<br>";
	$Msg .= "<br>";
	$Msg .= "Aihe: ";
	$Msg .= $aihe;
	$Msg .= "<br>";
	$Msg .= "Yhteydenotto: ";
	$Msg .= $yhteydenotto;
	$Msg .= "<br>";
	$Msg .= "</body></html>";
}

if($tyyppi == "osallistu_koulutukseen")
{
	$koulutuspaiva = Trim(stripslashes($_POST['koulutuspaiva']));
	$nimi = Trim(stripslashes($_POST['nimi']));
	$sposti = Trim(stripslashes($_POST['sposti']));
	$puh = Trim(stripslashes($_POST['puh']));
	$osoite = Trim(stripslashes($_POST['osoite']));
	$lisatietoja = Trim(stripslashes($_POST['lisatietoja']));

	$Subject = "Koulutukseen ilmoittautuminen";

	
	$Msg .= "Nimi: ";
	$Msg .= $nimi;
	$Msg .= "<br>";
	$Msg .= "Sähköposti: ";
	$Msg .= $sposti;
	$Msg .= "<br>";
	$Msg .= "Puhelin: ";
	$Msg .= $puh;
	$Msg .= "<br>";
	$Msg .= "Osoite: ";
	$Msg .= $osoite;	
	$Msg .= "<br>";
	$Msg .= "<br>";
	$Msg .= "Koulutuspäivä: ";
	$Msg .= $koulutuspaiva;
	$Msg .= "<br>";
	$Msg .= "Lisätietoja: ";
	$Msg .= $lisatietoja;
	$Msg .= "</body></html>";
}


else if($tyyppi == "tilaa_luento")
{
	$viesti = Trim(stripslashes($_POST['viesti']));
	$nimi = Trim(stripslashes($_POST['nimi']));
	$sposti = Trim(stripslashes($_POST['sposti']));
	$puh = Trim(stripslashes($_POST['puh']));
	$osoite = Trim(stripslashes($_POST['osoite']));

	$Subject = "Luennon tilaus";

	$Msg .= "Nimi: ";
	$Msg .= $nimi;
	$Msg .= "<br>";
	$Msg .= "Sähköposti: ";
	$Msg .= $sposti;
	$Msg .= "<br>";
	$Msg .= "Puhelin: ";
	$Msg .= $puh;
	$Msg .= "<br>";
	$Msg .= "Osoite: ";
	$Msg .= $osoite;
	$Msg .= "<br>";

	$Msg .= "<br>";
	$Msg .= "Luennon aihe, ajankohta ja mahdolliset lisätiedot: ";
	$Msg .= $viesti;
	$Msg .= "<br>";
	$Msg .= "</body></html>";
}

else if($tyyppi == "tukipyynto")
{
	$lisatietoja = Trim(stripslashes($_POST['lisatietoja']));
	$nimi = Trim(stripslashes($_POST['nimi']));
	$sposti = Trim(stripslashes($_POST['sposti']));
	$puh = Trim(stripslashes($_POST['puh']));
	$yhteydenotto = Trim(stripslashes($_POST['yhteydenotto']));

	$Subject = "Tukipyyntö ratsatajankunto sivulta";

	$Msg .= "Nimi: ";
	$Msg .= $nimi;
	$Msg .= "<br>";
	$Msg .= "Sähköposti: ";
	$Msg .= $sposti;
	$Msg .= "<br>";
	$Msg .= "Puhelin: ";
	$Msg .= $puh;
	$Msg .= "<br>";
	$Msg .= "<br>";
	$Msg .= "Lisätietoja: ";
	$Msg .= $lisatietoja;
	$Msg .= "<br>";
	$Msg .= "Yhteydenotto: ";
	$Msg .= $yhteydenotto;
	$Msg .= "<br>";
	$Msg .= "</body></html>";
}

else if($tyyppi == "ilmoittaudu_testaukseen")
{
	$testaajaSposti = Trim(stripslashes($_POST['testaajaSposti']));
	$aerobisen_kunnon_testaus = Trim(stripslashes($_POST['aerobisen_kunnon_testaus']));
	$harrastajan_tasapaino_ja_lihaskuntotestaus = Trim(stripslashes($_POST['harrastajan_tasapaino_ja_lihaskuntotestaus']));
	$laaja_tasapaino_ja_lihaskuntotestaus = Trim(stripslashes($_POST['laaja_tasapaino_ja_lihaskuntotestaus']));
	$harrastajan_liikkuvuustestaus = Trim(stripslashes($_POST['harrastajan_liikkuvuustestaus']));
	$laaja_liikkuvuustestaus = Trim(stripslashes($_POST['laaja_liikkuvuustestaus']));
	$kuntotestaajan_valinta = Trim(stripslashes($_POST['kuntotestaajan_valinta']));
	$lisatietoja = Trim(stripslashes($_POST['lisatietoja']));
	$nimi = Trim(stripslashes($_POST['nimi']));
	$sposti = Trim(stripslashes($_POST['sposti']));
	$puh = Trim(stripslashes($_POST['puh']));
	$osoite = Trim(stripslashes($_POST['osoite']));

	$Subject = "Testaukseen ilmoittautuminen";

	$Msg .= "Nimi: ";
	$Msg .= $nimi;
	$Msg .= "<br>";
	$Msg .= "Sähköposti: ";
	$Msg .= $sposti;
	$Msg .= "<br>";
	$Msg .= "Puhelin: ";
	$Msg .= $puh;
	$Msg .= "<br>";
	$Msg .= "Osoite: ";
	$Msg .= $osoite;
	$Msg .= "<br>";
	$Msg .= "<br>";
	$Msg .= "Osallistuu seuraaviin testeihin:";

	if($aerobisen_kunnon_testaus == "kylla")
	{
		$Msg .= " -Aerobisen kunnon testaus";
	}

	if($harrastajan_tasapaino_ja_lihaskuntotestaus == "kylla")
	{
		$Msg .= " -Harrastajan tasapaino- ja lihaskuntotestaus";
	}

	if($laaja_tasapaino_ja_lihaskuntotestaus == "kylla")
	{
		$Msg .= " -Laaja tasapaino- ja lihaskuntotestaus";
	}

	if($harrastajan_liikkuvuustestaus == "kylla")
	{
		$Msg .= " -Harrastajan liikkuvuustestaus";
	}

	if($laaja_liikkuvuustestaus == "kylla")
	{
		$Msg .= " -Laaja liikkuvuustestaus";
	}

	$Msg .= "<br>";
	$Msg .= "Kuntotestaaja: ";
	$Msg .= $kuntotestaajan_valinta;

	
	$Msg .= "<br>";
	$Msg .= "Lisätietoja: ";
	$Msg .= $lisatietoja;
	$Msg .= "<br>";
	
	$Msg .= "</body></html>";

	if ($testaajaSposti == "ei") {

	}
	else {
		$EmailTo .= ",".$testaajaSposti;
	}
	
}



if (strpos($sposti,'@') !== false) 
{

	// validation
	$validationOK=true;
	if (!$validationOK) {
	  print "<meta http-equiv=\"refresh\" content=\"0;URL=error.htm\">";
	  exit;
	}

	


	

	$headers = 'MIME-Version: 1.0' . "\r\n";
	$headers .= 'Content-Type: text/html; charset=UTF-8' . "\r\n";
	$headers .= "Reply-To: ". $EmailFrom . "\r\n";
	$headers .= "From: " . $EmailFrom . " \r\n";
	$headers .= 'X-Mailer: PHP/' . phpversion();

	//Toisen sählöpostin lähetys


	// send email 
	$success = mail($EmailTo, $Subject, $Msg, $headers);


	// redirect to success page 
	if ($success){
	  
	  echo "Lomake lähetetty";
	}
	else{
	  
	  echo "Jokin meni vikaan ja lomaketta ei ole lähetetty.";
	}
}


else{
  
  echo "Et antanut sähköpostiosoitetta";
}
?>